Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs
(3 edits)

Yeah probably should run it with older gzdoom or lzdoom. I can't even get the latest versions of gzdoom to run on my computer so I say report the bug to zdoom forums because I can't tell whats going on.